javax.faces.component.html

## Class HtmlPanelGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - javax.faces.component.html.HtmlPanelGroup

- All Implemented Interfaces:
    EventListener, ClientBehaviorHolder, PartialStateHolder, StateHolder, TransientStateHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

      public class HtmlPanelGroup
      extends UIPanel
      implements ClientBehaviorHolder

  Causes all child components of this component to be rendered. This is useful in scenarios where a parent component is expecting a single component to be present, but the application wishes to render more than one.

  By default, the `rendererType` property must be set to "`javax.faces.Group`". This value can be changed by calling the `setRendererType()` method.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `HtmlPanelGroup.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_TYPE` The standard component type for this component.

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlPanelGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEventName()` This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`.
    `Collection<String>` | `getEventNames()` This is a default implementation of `ClientBehaviorHolder.getEventNames()`.
    `String` | `getLayout()` Return the value of the `layout` property.
    `String` | `getOnclick()` Return the value of the `onclick` property.
    `String` | `getOndblclick()` Return the value of the `ondblclick` property.
    `String` | `getOnkeydown()` Return the value of the `onkeydown` property.
    `String` | `getOnkeypress()` Return the value of the `onkeypress` property.
    `String` | `getOnkeyup()` Return the value of the `onkeyup` property.
    `String` | `getOnmousedown()` Return the value of the `onmousedown` property.
    `String` | `getOnmousemove()` Return the value of the `onmousemove` property.
    `String` | `getOnmouseout()` Return the value of the `onmouseout` property.
    `String` | `getOnmouseover()` Return the value of the `onmouseover` property.
    `String` | `getOnmouseup()` Return the value of the `onmouseup` property.
    `String` | `getStyle()` Return the value of the `style` property.
    `String` | `getStyleClass()` Return the value of the `styleClass` property.
    `void` | `setLayout(String layout)` Set the value of the `layout` property.
    `void` | `setOnclick(String onclick)` Set the value of the `onclick` property.
    `void` | `setOndblclick(String ondblclick)` Set the value of the `ondblclick` property.
    `void` | `setOnkeydown(String onkeydown)` Set the value of the `onkeydown` property.
    `void` | `setOnkeypress(String onkeypress)` Set the value of the `onkeypress` property.
    `void` | `setOnkeyup(String onkeyup)` Set the value of the `onkeyup` property.
    `void` | `setOnmousedown(String onmousedown)` Set the value of the `onmousedown` property.
    `void` | `setOnmousemove(String onmousemove)` Set the value of the `onmousemove` property.
    `void` | `setOnmouseout(String onmouseout)` Set the value of the `onmouseout` property.
    `void` | `setOnmouseover(String onmouseover)` Set the value of the `onmouseover` property.
    `void` | `setOnmouseup(String onmouseup)` Set the value of the `onmouseup` property.
    `void` | `setStyle(String style)` Set the value of the `style` property.
    `void` | `setStyleClass(String styleClass)` Set the value of the `styleClass` property.

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      The standard component type for this component.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlPanelGroup

          public HtmlPanelGroup()

  - ### Method Detail

    - #### getLayout

          public String getLayout()

      Return the value of the `layout` property.

      Contents: The type of layout markup to use when rendering this group. If the value is "block" the renderer must produce an HTML "div" element. Otherwise HTML "span" element must be produced.

    - #### setLayout

          public void setLayout(String layout)

      Set the value of the `layout` property.

    - #### getOnclick

          public String getOnclick()

      Return the value of the `onclick` property.

      Contents: Javascript code executed when a pointer button is clicked over this element.

    - #### setOnclick

          public void setOnclick(String onclick)

      Set the value of the `onclick` property.

    - #### getOndblclick

          public String getOndblclick()

      Return the value of the `ondblclick` property.

      Contents: Javascript code executed when a pointer button is double clicked over this element.

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

      Set the value of the `ondblclick` property.

    - #### getOnkeydown

          public String getOnkeydown()

      Return the value of the `onkeydown` property.

      Contents: Javascript code executed when a key is pressed down over this element.

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

      Set the value of the `onkeydown` property.

    - #### getOnkeypress

          public String getOnkeypress()

      Return the value of the `onkeypress` property.

      Contents: Javascript code executed when a key is pressed and released over this element.

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

      Set the value of the `onkeypress` property.

    - #### getOnkeyup

          public String getOnkeyup()

      Return the value of the `onkeyup` property.

      Contents: Javascript code executed when a key is released over this element.

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

      Set the value of the `onkeyup` property.

    - #### getOnmousedown

          public String getOnmousedown()

      Return the value of the `onmousedown` property.

      Contents: Javascript code executed when a pointer button is pressed down over this element.

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

      Set the value of the `onmousedown` property.

    - #### getOnmousemove

          public String getOnmousemove()

      Return the value of the `onmousemove` property.

      Contents: Javascript code executed when a pointer button is moved within this element.

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

      Set the value of the `onmousemove` property.

    - #### getOnmouseout

          public String getOnmouseout()

      Return the value of the `onmouseout` property.

      Contents: Javascript code executed when a pointer button is moved away from this element.

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

      Set the value of the `onmouseout` property.

    - #### getOnmouseover

          public String getOnmouseover()

      Return the value of the `onmouseover` property.

      Contents: Javascript code executed when a pointer button is moved onto this element.

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

      Set the value of the `onmouseover` property.

    - #### getOnmouseup

          public String getOnmouseup()

      Return the value of the `onmouseup` property.

      Contents: Javascript code executed when a pointer button is released over this element.

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

      Set the value of the `onmouseup` property.

    - #### getStyle

          public String getStyle()

      Return the value of the `style` property.

      Contents: CSS style(s) to be applied when this component is rendered.

    - #### setStyle

          public void setStyle(String style)

      Set the value of the `style` property.

    - #### getStyleClass

          public String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" property on generated markup.

    - #### setStyleClass

          public void setStyleClass(String styleClass)

      Set the value of the `styleClass` property.

    - #### getEventNames

          public Collection<String> getEventNames()

      Description copied from class: `UIComponentBase`

      This is a default implementation of `ClientBehaviorHolder.getEventNames()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must override this method to return a non-Empty `Collection` of the client event names that the component supports.

      Specified by:
        `getEventNames` in interface `ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Description copied from class: `UIComponentBase`

      This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must provide an implementation of `ClientBehaviorHolder.getEventNames()`.

      Specified by:
        `getDefaultEventName` in interface `ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `UIComponentBase`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.